# system.advanced.update

Update System Advanced Service Configuration.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: data

#### data

Type: object

Updated system advanced configuration data.

No Additional Properties

##

#### Advancedmode

Type: boolean

Enable advanced mode to show additional configuration options in the web interface.

##

#### Autotune

Type: boolean

Execute autotune script which attempts to optimize the system based on the installed hardware.

##

#### Kdump Enabled

Type: boolean

Enable kernel crash dumps for debugging system crashes.

##

#### Boot Scrub

Type: integer

Number of days between automatic boot pool scrubs.

Value must be strictly greater than `0`

##

#### Consolemenu

Type: boolean

Enable console menu. Default to standard login in the console if disabled.

##

#### Consolemsg

Type: boolean

Deprecated: Please use `consolemsg` attribute in the `system.general` plugin instead.

##

#### Debugkernel

Type: boolean

Enable debug kernel for additional logging and debugging capabilities.

##

#### Fqdn Syslog

Type: boolean

Include the full domain name in syslog messages.

##

#### Motd

Type: string

Message of the day displayed after login.

##

#### Login Banner

Type: string

Banner message displayed before login prompt.

Must be at most `4096` characters long

##

#### Powerdaemon

Type: boolean

Enable the power management daemon for automatic power management.

##

#### Serialconsole

Type: boolean

Enable serial console access.

##

#### Serialport

Type: string

Serial port device for console access.

##

#### Serialspeed

Type: enum (of string)

Baud rate for serial console communication.

##### Must be one of:

- "9600"
- "19200"
- "38400"
- "57600"
- "115200"

##

#### Overprovision

Percentage of SSD overprovisioning to reserve for wear leveling.

## Any of

Type: integer

Value must be greater or equal to `0`

Type: null

##

#### Traceback

Type: boolean

Enable generation and saving of tracebacks for debugging.

##

#### Uploadcrash

Type: boolean

Automatically upload crash reports to iXsystems for analysis.

##

#### Anonstats

Type: boolean

Enable anonymous usage statistics reporting to help improve TrueNAS.

##

#### Sed User

Type: enum (of string)

SED (Self-Encrypting Drive) user type for drive encryption.

##### Must be one of:

- "USER"
- "MASTER"

##

#### Sysloglevel

Type: enum (of string)

Minimum log level for syslog messages. FEMERG is most critical, FDEBUG is least critical.

##### Must be one of:

- "F_EMERG"
- "F_ALERT"
- "F_CRIT"
- "F_ERR"
- "F_WARNING"
- "F_NOTICE"
- "F_INFO"
- "F_DEBUG"

##

#### Syslogservers

Type: array of object

Configurations for up to two remote syslog servers.

If provided, will overwrite the entire array in the existing entry.

Must contain a maximum of `2` items

No Additional Items

##### Each item of this array must be:

#### SyslogServer

Type: object
No Additional Properties

##

#### Host

Type: string

Remote syslog server DNS hostname or IP address.

Nonstandard port numbers can be used by appending a colon and port number to the hostname, like mysyslogserver:1928.

Port 514 is used by default for TCP and UDP transports as per RFC3164; port 6514 is used by default for TLS transport as per RFC5425.

##

#### Transport

Type: enum (of string) Default: "UDP"

Transport Protocol for the remote system log server connection.

##### Must be one of:

- "UDP"
- "TCP"
- "TLS"

##

#### Tls Certificate

Default: null

Applies only if `transport` is "TLS".

ID of the local certificate to send for mutual TLS (mTLS) connections. `null` indicates one-way TLS in which only the server identified by `host` will need to provide a certificate.

## Any of

Type: integer
Type: null

##

#### Syslog Audit

Type: boolean

The remote syslog server(s) will also receive audit messages.

##

#### Kernel Extra Options

Type: string

Additional kernel boot parameters to pass to the Linux kernel.

##

#### Sed Passwd

Type: string

Password for SED (Self-Encrypting Drive) global unlock.

##

#### SystemAdvancedEntry

Type: object

The updated system advanced configuration.

No Additional Properties

##

#### Id

Type: integer

Placeholder identifier. Not used as there is only one.

##

#### Advancedmode

Type: boolean

Enable advanced mode to show additional configuration options in the web interface.

##

#### Autotune

Type: boolean

Execute autotune script which attempts to optimize the system based on the installed hardware.

##

#### Kdump Enabled

Type: boolean

Enable kernel crash dumps for debugging system crashes.

##

#### Boot Scrub

Type: integer

Number of days between automatic boot pool scrubs.

Value must be strictly greater than `0`

##

#### Consolemenu

Type: boolean

Enable console menu. Default to standard login in the console if disabled.

##

#### Consolemsg

Type: boolean

Deprecated: Please use `consolemsg` attribute in the `system.general` plugin instead.

##

#### Debugkernel

Type: boolean

Enable debug kernel for additional logging and debugging capabilities.

##

#### Fqdn Syslog

Type: boolean

Include the full domain name in syslog messages.

##

#### Motd

Type: string

Message of the day displayed after login.

##

#### Login Banner

Type: string

Banner message displayed before login prompt.

Must be at most `4096` characters long

##

#### Powerdaemon

Type: boolean

Enable the power management daemon for automatic power management.

##

#### Serialconsole

Type: boolean

Enable serial console access.

##

#### Serialport

Type: string

Serial port device for console access.

##

#### Anonstats Token

Type: string

Token used for anonymous statistics reporting.

##

#### Serialspeed

Type: enum (of string)

Baud rate for serial console communication.

##### Must be one of:

- "9600"
- "19200"
- "38400"
- "57600"
- "115200"

##

#### Overprovision

Percentage of SSD overprovisioning to reserve for wear leveling.

## Any of

Type: integer

Value must be greater or equal to `0`

Type: null

##

#### Traceback

Type: boolean

Enable generation and saving of tracebacks for debugging.

##

#### Uploadcrash

Type: boolean

Automatically upload crash reports to iXsystems for analysis.

##

#### Anonstats

Type: boolean

Enable anonymous usage statistics reporting to help improve TrueNAS.

##

#### Sed User

Type: enum (of string)

SED (Self-Encrypting Drive) user type for drive encryption.

##### Must be one of:

- "USER"
- "MASTER"

##

#### Sysloglevel

Type: enum (of string)

Minimum log level for syslog messages. FEMERG is most critical, FDEBUG is least critical.

##### Must be one of:

- "F_EMERG"
- "F_ALERT"
- "F_CRIT"
- "F_ERR"
- "F_WARNING"
- "F_NOTICE"
- "F_INFO"
- "F_DEBUG"

##

#### Syslogservers

Type: array of object Default: []

Configurations for up to two remote syslog servers.

Must contain a maximum of `2` items

No Additional Items

##### Each item of this array must be:

#### SyslogServer

Type: object
No Additional Properties

##

#### Host

Type: string

Remote syslog server DNS hostname or IP address.

Nonstandard port numbers can be used by appending a colon and port number to the hostname, like mysyslogserver:1928.

Port 514 is used by default for TCP and UDP transports as per RFC3164; port 6514 is used by default for TLS transport as per RFC5425.

##

#### Transport

Type: enum (of string) Default: "UDP"

Transport Protocol for the remote system log server connection.

##### Must be one of:

- "UDP"
- "TCP"
- "TLS"

##

#### Tls Certificate

Default: null

Applies only if `transport` is "TLS".

ID of the local certificate to send for mutual TLS (mTLS) connections. `null` indicates one-way TLS in which only the server identified by `host` will need to provide a certificate.

## Any of

Type: integer
Type: null

##

#### Syslog Audit

Type: boolean

The remote syslog server(s) will also receive audit messages.

##

#### Isolated Gpu Pci Ids

Type: array of string

List of GPU PCI IDs to isolate from the host system for VM passthrough.

No Additional Items

##### Each item of this array must be:

Type: string

##

#### Kernel Extra Options

Type: string

Additional kernel boot parameters to pass to the Linux kernel.

Required roles: SYSTEM_ADVANCED_WRITE